local audio = require("#Celeste.Audio")

function onBegin()

	disableMovement()
	disableRetry()
	audio.SetMusic("event:/lucidity/music/sfm_choppy")
	wait(1)
	setFlag("woxens_Lucidity_blackout",false)
	wait(5.5)
	setFlag("woxens_Lucidity_blackout",true)
	instantTeleportTo(2050,-180,"trivia")
	enableMovement()	

end